
DECLARE @NewSecretTypeId INT
DECLARE @NewSecretTypeName VARCHAR (255)

SET @NewSecretTypeId = 6000
SET @NewSecretTypeName = 'Email Account'

IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			tbSecretType
		WHERE 
			tbSecretType.SecretTypeName = @NewSecretTypeName
	)
BEGIN

	SET IDENTITY_INSERT [dbo].[tbSecretType] ON
	INSERT INTO [dbo].[tbSecretType] (
		[SecretTypeId]
		,[SecretTypeName]
		,[ConcurrencyID]
		)
	SELECT @NewSecretTypeId, @NewSecretTypeName		, '6CBCEED4-8E01-4286-8DA4-D4B90D556387'
	SET IDENTITY_INSERT [dbo].[tbSecretType] OFF
	
	INSERT INTO [dbo].[tbSecretField] (
		[SecretFieldName]
		,[SecretFieldDisplayName]
		,[SortOrder]
		,[SecretTypeID]
		,[Required]
		,[DataType]
		,[MustEncrypt]
		,[IsPassword]
		,[IsNotes]
		,[ConcurrencyID]
		)
		--      SecretFieldName         , SecretFieldDisplayName  , SortOrder, SecretTypeID    , Required, DataType, MustEncrypt, IsPassword, IsNotes, ConcurrencyID
		SELECT  'Email Address'         , 'Email Address'         , 1        , @NewSecretTypeId, 1       , 'string', 1          , 0         , 0      , '804CA5D8-7DB3-400a-84E3-864309A3CEB0' UNION
		SELECT  'Incoming Server'		, 'Incoming Server'		  , 2        , @NewSecretTypeId, 1       , 'string', 1          , 0         , 0      , '2E87016F-42E8-46d2-A7CC-D1D5E174660B' UNION
		SELECT  'Username'			    , 'Username'			  , 3        , @NewSecretTypeId, 1       , 'string', 1          , 0         , 0      , '675A8C58-51A0-4988-B2F8-30797A377FC1' UNION
		SELECT  'Password'              , 'Password'              , 4        , @NewSecretTypeId, 1       , 'string', 1          , 1         , 0      , 'B7457B3B-06E2-43b9-86B1-39AB07B1007D' UNION
		SELECT  'Outgoing Server'       , 'Outgoing Server'       , 5        , @NewSecretTypeId, 1       , 'string', 1          , 0         , 0      , 'C5A07596-54DB-42db-87D9-8E8709FCCD90' UNION
		SELECT  'Username'              , 'Username'              , 6        , @NewSecretTypeId, 1       , 'string', 1          , 0         , 0      , '71CEE693-CB98-466c-BE88-E0DC8871C18C' UNION
		SELECT  'Password'              , 'Password'              , 7        , @NewSecretTypeId, 1       , 'string', 1          , 1         , 0      , '8B4EADBE-677E-4ed3-A6F3-67D426B01829' UNION
		SELECT  'Notes'                 , 'Notes'                 , 8        , @NewSecretTypeId, 1       , 'string', 1          , 0         , 1      , '0458FD39-61E5-41a2-8200-8E25D5687388'
	
END


	












	
	
	