IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[tbOrganization]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	CREATE TABLE [dbo].[tbOrganization] (
		[OrganizationId] [int] IDENTITY(1,1) PRIMARY KEY
		,[OrganizationCode] [NVARCHAR](50) NULL
		,[ConcurrencyId] [VARCHAR](50) NOT NULL
	) ON [PRIMARY]

END
GO

IF NOT EXISTS (SELECT 1 FROM [dbo].[tbOrganization])
BEGIN

	SET IDENTITY_INSERT [dbo].[tbOrganization] ON
	
	INSERT INTO [dbo].[tbOrganization]
		(
			[OrganizationId]
			,[OrganizationCode]
			,[ConcurrencyId]
		)
	VALUES
		(
			1
			,NULL
			,'A9102EB9-D3BB-4eed-9809-931D615301C8'
		)
	
	SET IDENTITY_INSERT [dbo].[tbOrganization] OFF

END
GO

IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name='tbUser'
			AND 
			C.Name='OrganizationId'
	)
	BEGIN
		ALTER TABLE [dbo].[tbUser] 
			ADD	[OrganizationId] [int] NULL
	END
GO

UPDATE [dbo].[tbUser]
	SET
		[OrganizationId] = 1
	WHERE 
		[OrganizationId] IS NULL
GO

ALTER TABLE [dbo].[tbUser] 
	ALTER COLUMN [OrganizationId] [int] NOT NULL
GO

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[FK_tbUser_Organization]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[tbUser] DROP CONSTRAINT FK_tbUser_Organization
GO

ALTER TABLE [dbo].[tbUser] ADD 
	CONSTRAINT [FK_tbUser_Organization] FOREIGN KEY 
	(
		[OrganizationId]
	) REFERENCES [dbo].[tbOrganization] (
		[OrganizationId]
	)
GO
