IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name='tbSecretType'
			AND 
			C.Name='OrganizationId'
	)
	BEGIN
		ALTER TABLE [dbo].[tbSecretType] 
			ADD	[OrganizationId] [int] NULL
	END
GO

UPDATE [dbo].[tbSecretType]
	SET
		[OrganizationId] = 1
	WHERE 
		[OrganizationId] IS NULL
GO

ALTER TABLE [dbo].[tbSecretType] 
	ALTER COLUMN [OrganizationId] [int] NOT NULL
GO

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[FK_tbSecretType_Organization]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[tbSecretType] DROP CONSTRAINT FK_tbSecretType_Organization
GO

ALTER TABLE [dbo].[tbSecretType] ADD 
	CONSTRAINT [FK_tbSecretType_Organization] FOREIGN KEY 
	(
		[OrganizationId]
	) REFERENCES [dbo].[tbOrganization] (
		[OrganizationId]
	)
GO
